# fixme: unbundle the yaml lib if possible.  The EPEL6 version fails.
#        remove commands from -libs?

%global snap 8354b9349e370802fd9a39b253556eb1a35bb3e7

Name:		plfs
Summary:	Parallel Log Structured File System
Version:	2.5
Release:	4.20150113git%{?dist}
License:	BSD
Group:		System Environment/Filesystems
Source:		https://github.com/plfs/plfs-core/archive/%snap.tar.gz#/plfs-%snap.tar.gz
Patch1:		plfs-init.patch
URL:		http://institutes.lanl.gov/plfs
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	fuse-devel, pkgconfig, chrpath, cmake, zlib-devel

%description
Parallel Log Structured File System 
transparent filesystem middleware layer intended to speed up 
small N to 1 strided write patterns to a parallel file system.

%package	lib
Summary:	plfs - Parallel Log Structured File System library
Group:		System Environment/Filesystems

%description lib
Parallel Log Structured File System library
transparent filesystem middleware layer intended to speed up 
small N to 1 strided write patterns to a parallel file system.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n plfs-core-%{snap}
%patch1 -p1 -b .init

%build
%cmake -DADMIN_TOOLS=yes -DLIBDIR:PATH=%{_libdir}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_initrddir}
install -m 0755 contrib/init.d/plfs.init %{buildroot}%{_initrddir}/plfs
install -D -m 0644 contrib/init.d/plfs.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/plfs


cp -a src/COPYRIGHT.h .

cp -a mpi_adio %{buildroot}%{_datadir}/%{name}

chrpath -d %{buildroot}%{_sbindir}/* %{buildroot}%{_bindir}/* %{buildroot}%{_libdir}/*.so.*

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add plfs

%preun
/sbin/service plfs stop
/sbin/chkconfig --del plfs

%post lib -p /sbin/ldconfig

%postun lib -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_sbindir}/plfs
%{_initrddir}/plfs
%{_mandir}/man1/plfs.1.gz
%config(noreplace) %{_sysconfdir}/sysconfig/plfs

%files lib
%defattr(-,root,root,-)
%doc KNOWN_ISSUES README README.mlog README.POSIX Changelog
%{_sbindir}/dcon
%{_sbindir}/findmesgbuf
%{_sbindir}/plfs_map
%{_sbindir}/plfs_query
%{_sbindir}/plfs_recover
%{_bindir}/plfs_check_config
%{_bindir}/plfs_flatten_index
%{_bindir}/plfs_ls
%{_bindir}/plfs_version
%{_libdir}/libplfs.so.*
%{_mandir}/man1/dcon.1.gz
%{_mandir}/man1/findmesgbuf.1.gz
%{_mandir}/man1/plfs_check_config.1.gz
%{_mandir}/man1/plfs_flatten_index.1.gz
%{_mandir}/man1/plfs_map.1.gz
%{_mandir}/man1/plfs_recover.1.gz
%{_mandir}/man1/plfs_query.1.gz
%{_mandir}/man1/plfs_version.1.gz
%{_mandir}/man1/plfs_ls.1.gz
%{_mandir}/man5/plfsrc.5.gz
%{_mandir}/man7/plfs.7.gz

%files devel
%defattr(-,root,root,-)
%{_libdir}/libplfs.a
%{_libdir}/libplfs.so
%_datadir/%name
%doc COPYRIGHT.h
%{_includedir}/plfs/COPYRIGHT.h
%{_includedir}/plfs/mlogfacs.h
%{_includedir}/plfs/plfs_internal.h
%{_includedir}/plfs/Util.h
%{_includedir}/plfs.h
%{_includedir}/plfs_error.h
%{_mandir}/man3/*

%changelog
* Wed Dec 30 2015 Dave Love <loveshack@fedoraproject.org> - 2.5-4.20150113git
- Snapshot version to build openmpi 2.0 in particular

* Mon Jun  9 2014 Dave Love <d.love@liverpool.ac.uk> - 2.5-3
- Substantially changed the bundled version
- Remove SuSE complications
- Remove service start/stop

* Mon May 12 2014 Dave Love <d.love@liverpool.ac.uk> - 2.5-2
- Make devel and debug packages
- Add doc files
- Ship adio bits
- Mollify rpmlint
